﻿Type=StaticCode
Version=4.19
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
 
	Public bus As JavaObject 
	Public device As JavaObject
	Private SSD1306_SETCONTRAST As Byte = 0x81
	Private SSD1306_DISPLAYALLON_RESUME As Byte = 0xA4
	Private SSD1306_DISPLAYALLON As Byte = 0xA5
	Private SSD1306_NORMALDISPLAY As Byte = 0xA6
	Private SSD1306_INVERTDISPLAY As Byte = 0xA7
	Private SSD1306_DISPLAYOFF As Byte = 0xAE
	Private SSD1306_DISPLAYON As Byte = 0xAF
	Private SSD1306_SETDISPLAYOFFSET As Byte = 0xD3
	Private SSD1306_SETCOMPINS As Byte = 0xDA
	Private SSD1306_SETVCOMDETECT As Byte = 0xDB
	Private SSD1306_SETDISPLAYCLOCKDIV As Byte = 0xD5
	Private SSD1306_SETPRECHARGE As Byte = 0xD9
	Private SSD1306_SETMULTIPLEX As Byte = 0xA8
	Private SSD1306_SETLOWCOLUMN As Byte = 0x00
	Private SSD1306_SETHIGHCOLUMN As Byte = 0x10
	Private SSD1306_SETSTARTLINE As Byte = 0x40
	Private SSD1306_MEMORYMODE As Byte = 0x20
	Private SSD1306_COLUMNADDR As Byte = 0x21
	Private SSD1306_PAGEADDR As Byte = 0x22
	Private SSD1306_COMSCANINC As Byte = 0xC0
	Private SSD1306_COMSCANDEC As Byte = 0xC8
	Private SSD1306_SEGREMAP As Byte = 0xA0
	Private SSD1306_CHARGEPUMP As Byte = 0x8D
	Private SSD1306_EXTERNALVCC As Byte = 0x1
	Private SSD1306_SWITCHCAPVCC As Byte = 0x2
	' Scrolling privates
	Private SSD1306_ACTIVATE_SCROLL As Byte = 0x2F
	Private SSD1306_DEACTIVATE_SCROLL As Byte = 0x2E
	Private SSD1306_SET_VERTICAL_SCROLL_AREA As Byte = 0xA3
	Private SSD1306_RIGHT_HORIZONTAL_SCROLL As Byte = 0x26
	Private SSD1306_LEFT_HORIZONTAL_SCROLL As Byte = 0x27
	Private SSD1306_VERTICAL_AND_RIGHT_HORIZONTAL_SCROLL As Byte = 0x29
	Private SSD1306_VERTICAL_AND_LEFT_HORIZONTAL_SCROLL As Byte = 0x2A
	Dim Ascii() As Int
	Ascii = Array As Int( _ ' Public domain font
	0x00, 0x00, 0x00, 0x00, 0x00, _ ' ( 0) - 0x0020 Space
	0x00, 0x00, 0x4F, 0x00, 0x00, _ ' ( 1) ! - 0x0021 Exclamation Mark
	0x00, 0x07, 0x00, 0x07, 0x00, _ ' ( 2) " - 0x0022 Quotation Mark
	0x14, 0x7F, 0x14, 0x7F, 0x14, _ ' ( 3) # - 0x0023 Number Sign
	0x24, 0x2A, 0x7F, 0x2A, 0x12, _ ' ( 4) 0x - 0x0024 Dollar Sign
	0x23, 0x13, 0x08, 0x64, 0x62, _ ' ( 5) % - 0x0025 Percent Sign
	0x36, 0x49, 0x55, 0x22, 0x50, _ ' ( 6) & - 0x0026 Ampersand
	0x00, 0x05, 0x03, 0x00, 0x00, _ ' ( 7) ' - 0x0027 Apostrophe
	0x00, 0x1C, 0x22, 0x41, 0x00, _ ' ( 8) ( - 0x0028 Left Parenthesis
	0x00, 0x41, 0x22, 0x1C, 0x00, _ ' ( 9) ) - 0x0029 Right Parenthesis
	0x14, 0x08, 0x3E, 0x08, 0x14, _ ' ( 10) * - 0x002A Asterisk
	0x08, 0x08, 0x3E, 0x08, 0x08, _ ' ( 11) + - 0x002B Plus Sign
	0x00, 0x50, 0x30, 0x00, 0x00, _ ' ( 12) , - 0x002C Comma
	0x08, 0x08, 0x08, 0x08, 0x08, _ ' ( 13) - - 0x002D Hyphen - Minus
	0x00, 0x60, 0x60, 0x00, 0x00, _ ' ( 14) . - 0x002E Full Stop
	0x20, 0x10, 0x08, 0x04, 0x02, _ ' ( 15) / - 0x002F Solidus
	0x3E, 0x51, 0x49, 0x45, 0x3E, _ ' ( 16) 0 - 0x0030 Digit Zero
	0x00, 0x42, 0x7F, 0x40, 0x00, _ ' ( 17) 1 - 0x0031 Digit One
	0x42, 0x61, 0x51, 0x49, 0x46, _ ' ( 18) 2 - 0x0032 Digit Two
	0x21, 0x41, 0x45, 0x4B, 0x31, _ ' ( 19) 3 - 0x0033 Digit Three
	0x18, 0x14, 0x12, 0x7F, 0x10, _ ' ( 20) 4 - 0x0034 Digit Four
	0x27, 0x45, 0x45, 0x45, 0x39, _ ' ( 21) 5 - 0x0035 Digit Five
	0x3C, 0x4A, 0x49, 0x49, 0x30, _ ' ( 22) 6 - 0x0036 Digit Six
	0x01, 0x71, 0x09, 0x05, 0x03, _ ' ( 23) 7 - 0x0037 Digit Seven
	0x36, 0x49, 0x49, 0x49, 0x36, _ ' ( 24) 8 - 0x0038 Digit Eight
	0x06, 0x49, 0x49, 0x29, 0x1E, _ ' ( 25) 9 - 0x0039 Dight Nine
	0x00, 0x36, 0x36, 0x00, 0x00, _ ' ( 26) as - 0x003A Colon
	0x00, 0x56, 0x36, 0x00, 0x00, _ ' ( 27) - 0x003B Semicolon
	0x08, 0x14, 0x22, 0x41, 0x00, _ ' ( 28) < - 0x003C Less - Than Sign
	0x14, 0x14, 0x14, 0x14, 0x14, _ ' ( 29) = - 0x003D Equals Sign
	0x00, 0x41, 0x22, 0x14, 0x08, _ ' ( 30) > - 0x003E Greater - Than Sign
	0x02, 0x01, 0x51, 0x09, 0x06, _ ' ( 31) ? - 0x003F Question Mark
	0x32, 0x49, 0x79, 0x41, 0x3E, _ ' ( 32) @ - 0x0040 Commercial At
	0x7E, 0x11, 0x11, 0x11, 0x7E, _ ' ( 33) A - 0x0041 Latin Capital Letter A
	0x7F, 0x49, 0x49, 0x49, 0x36, _ ' ( 34) B - 0x0042 Latin Capital Letter B
	0x3E, 0x41, 0x41, 0x41, 0x22, _ ' ( 35) C - 0x0043 Latin Capital Letter C
	0x7F, 0x41, 0x41, 0x22, 0x1C, _ ' ( 36) D - 0x0044 Latin Capital Letter D
	0x7F, 0x49, 0x49, 0x49, 0x41, _ ' ( 37) E - 0x0045 Latin Capital Letter E
	0x7F, 0x09, 0x09, 0x09, 0x01, _ ' ( 38) F - 0x0046 Latin Capital Letter F
	0x3E, 0x41, 0x49, 0x49, 0x7A, _ ' ( 39) G - 0x0047 Latin Capital Letter G
	0x7F, 0x08, 0x08, 0x08, 0x7F, _ ' ( 40) H - 0x0048 Latin Capital Letter H
	0x00, 0x41, 0x7F, 0x41, 0x00, _ ' ( 41) I - 0x0049 Latin Capital Letter I
	0x20, 0x40, 0x41, 0x3F, 0x01, _ ' ( 42) J - 0x004A Latin Capital Letter J
	0x7F, 0x08, 0x14, 0x22, 0x41, _ ' ( 43) K - 0x004B Latin Capital Letter K
	0x7F, 0x40, 0x40, 0x40, 0x40, _ ' ( 44) L - 0x004C Latin Capital Letter L
	0x7F, 0x02, 0x0C, 0x02, 0x7F, _ ' ( 45) M - 0x004D Latin Capital Letter M
	0x7F, 0x04, 0x08, 0x10, 0x7F, _ ' ( 46) N - 0x004E Latin Capital Letter N
	0x3E, 0x41, 0x41, 0x41, 0x3E, _ ' ( 47) O - 0x004F Latin Capital Letter O
	0x7F, 0x09, 0x09, 0x09, 0x06, _ ' ( 48) P - 0x0050 Latin Capital Letter P
	0x3E, 0x41, 0x51, 0x21, 0x5E, _ ' ( 49) Q - 0x0051 Latin Capital Letter Q
	0x7F, 0x09, 0x19, 0x29, 0x46, _ ' ( 50) R - 0x0052 Latin Capital Letter R
	0x46, 0x49, 0x49, 0x49, 0x31, _ ' ( 51) S - 0x0053 Latin Capital Letter S
	0x01, 0x01, 0x7F, 0x01, 0x01, _ ' ( 52) T - 0x0054 Latin Capital Letter T
	0x3F, 0x40, 0x40, 0x40, 0x3F, _ ' ( 53) U - 0x0055 Latin Capital Letter U
	0x1F, 0x20, 0x40, 0x20, 0x1F, _ ' ( 54) V - 0x0056 Latin Capital Letter V
	0x3F, 0x40, 0x38, 0x40, 0x3F, _ ' ( 55) W - 0x0057 Latin Capital Letter W
	0x63, 0x14, 0x08, 0x14, 0x63, _ ' ( 56) X - 0x0058 Latin Capital Letter X
	0x07, 0x08, 0x70, 0x08, 0x07, _ ' ( 57) Y - 0x0059 Latin Capital Letter Y
	0x61, 0x51, 0x49, 0x45, 0x43, _ ' ( 58) Z - 0x005A Latin Capital Letter Z
	0x00, 0x7F, 0x41, 0x41, 0x00, _ ' ( 59) [ - 0x005B Left Square Bracket
	0x02, 0x04, 0x08, 0x10, 0x20, _ ' ( 60) \ - 0x005C Reverse Solidus
	0x00, 0x41, 0x41, 0x7F, 0x00, _ ' ( 61) ] - 0x005D Right Square Bracket
	0x04, 0x02, 0x01, 0x02, 0x04, _ ' ( 62) ^ - 0x005E Circumflex Accent
	0x40, 0x40, 0x40, 0x40, 0x40, _ ' ( 63) _ - 0x005F Low Line
	0x01, 0x02, 0x04, 0x00, 0x00, _ ' ( 64) ` - 0x0060 Grave Accent
	0x20, 0x54, 0x54, 0x54, 0x78, _ ' ( 65) a - 0x0061 Latin Small Letter A
	0x7F, 0x48, 0x44, 0x44, 0x38, _ ' ( 66) b - 0x0062 Latin Small Letter B
	0x38, 0x44, 0x44, 0x44, 0x20, _ ' ( 67) c - 0x0063 Latin Small Letter C
	0x38, 0x44, 0x44, 0x48, 0x7F, _ ' ( 68) d - 0x0064 Latin Small Letter D
	0x38, 0x54, 0x54, 0x54, 0x18, _ ' ( 69) e - 0x0065 Latin Small Letter E
	0x08, 0x7E, 0x09, 0x01, 0x02, _ ' ( 70) f - 0x0066 Latin Small Letter F
	0x06, 0x49, 0x49, 0x49, 0x3F, _ ' ( 71) g - 0x0067 Latin Small Letter G
	0x7F, 0x08, 0x04, 0x04, 0x78, _ ' ( 72) h - 0x0068 Latin Small Letter H
	0x00, 0x44, 0x7D, 0x40, 0x00, _ ' ( 73) i - 0x0069 Latin Small Letter I
	0x20, 0x40, 0x44, 0x3D, 0x00, _ ' ( 74) j - 0x006A Latin Small Letter J
	0x7F, 0x10, 0x28, 0x44, 0x00, _ ' ( 75) k - 0x006B Latin Small Letter K
	0x00, 0x41, 0x7F, 0x40, 0x00, _ ' ( 76) l - 0x006C Latin Small Letter L
	0x7C, 0x04, 0x18, 0x04, 0x7C, _ ' ( 77) m - 0x006D Latin Small Letter M
	0x7C, 0x08, 0x04, 0x04, 0x78, _ ' ( 78) n - 0x006E Latin Small Letter N
	0x38, 0x44, 0x44, 0x44, 0x38, _ ' ( 79) o - 0x006F Latin Small Letter O
	0x7C, 0x14, 0x14, 0x14, 0x08, _ ' ( 80) p - 0x0070 Latin Small Letter P
	0x08, 0x14, 0x14, 0x18, 0x7C, _ ' ( 81) q - 0x0071 Latin Small Letter Q
	0x7C, 0x08, 0x04, 0x04, 0x08, _ ' ( 82) r - 0x0072 Latin Small Letter R
	0x48, 0x54, 0x54, 0x54, 0x20, _ ' ( 83) s - 0x0073 Latin Small Letter S
	0x04, 0x3F, 0x44, 0x40, 0x20, _ ' ( 84) t - 0x0074 Latin Small Letter T
	0x3C, 0x40, 0x40, 0x20, 0x7C, _ ' ( 85) u - 0x0075 Latin Small Letter U
	0x1C, 0x20, 0x40, 0x20, 0x1C, _ ' ( 86) v - 0x0076 Latin Small Letter V
	0x3C, 0x40, 0x30, 0x40, 0x3C, _ ' ( 87) w - 0x0077 Latin Small Letter W
	0x44, 0x28, 0x10, 0x28, 0x44, _ ' ( 88) x - 0x0078 Latin Small Letter X
	0x0C, 0x50, 0x50, 0x50, 0x3C, _ ' ( 89) y - 0x0079 Latin Small Letter Y
	0x44, 0x64, 0x54, 0x4C, 0x44, _ ' ( 90) z - 0x007A Latin Small Letter Z
	0x00, 0x08, 0x36, 0x41, 0x00, _ ' ( 91) - 0x007B Left Curly Bracket
	0x00, 0x00, 0x7F, 0x00, 0x00, _ ' ( 92) | - 0x007C Vertical Line
	0x00, 0x41, 0x36, 0x08, 0x00, _ ' ( 93) - 0x007D Right Curly Bracket
	0x02, 0x01, 0x02, 0x04, 0x02, _ ' ( 94) ~ - 0x007E Tilde
	0x3E, 0x55, 0x55, 0x41, 0x22, _ ' ( 95) C - 0x0080 < Control > 
	0x00, 0x00, 0x00, 0x00, 0x00, _ ' ( 96) - 0x00A0 No - Break Space
	0x00, 0x00, 0x79, 0x00, 0x00, _ ' ( 97) ! - 0x00A1 Inverted Exclamation Mark
	0x18, 0x24, 0x74, 0x2E, 0x24, _ ' ( 98) c - 0x00A2 Cent Sign
	0x48, 0x7E, 0x49, 0x42, 0x40, _ ' ( 99) L - 0x00A3 Pound Sign
	0x5D, 0x22, 0x22, 0x22, 0x5D, _ ' (100) o - 0x00A4 Currency Sign
	0x15, 0x16, 0x7C, 0x16, 0x15, _ ' (101) Y - 0x00A5 Yen Sign
	0x00, 0x00, 0x77, 0x00, 0x00, _ ' (102) | - 0x00A6 Broken Bar
	0x0A, 0x55, 0x55, 0x55, 0x28, _ ' (103) - 0x00A7 Section Sign
	0x00, 0x01, 0x00, 0x01, 0x00, _ ' (104) " - 0x00A8 Diaeresis
	0x00, 0x0A, 0x0D, 0x0A, 0x04, _ ' (105) - 0x00AA Feminine Ordinal Indicator
	0x08, 0x14, 0x2A, 0x14, 0x22, _ ' (106) < < - 0x00AB Left - Pobyteing Double Angle Quotation Mark
	0x04, 0x04, 0x04, 0x04, 0x1C, _ ' (107) - 0x00AC Not Sign
	0x00, 0x08, 0x08, 0x08, 0x00, _ ' (108) - - 0x00AD Soft Hyphen
	0x01, 0x01, 0x01, 0x01, 0x01, _ ' (109) - 0x00AF Macron
	0x00, 0x02, 0x05, 0x02, 0x00, _ ' (110) - 0x00B0 Degree Sign
	0x44, 0x44, 0x5F, 0x44, 0x44, _ ' (111) + - - 0x00B1 Plus - Minus Sign
	0x00, 0x00, 0x04, 0x02, 0x01, _ ' (112) ` - 0x00B4 Acute Accent
	0x7E, 0x20, 0x20, 0x10, 0x3E, _ ' (113) u - 0x00B5 Micro Sign
	0x06, 0x0F, 0x7F, 0x00, 0x7F, _ ' (114) - 0x00B6 Pilcrow Sign
	0x00, 0x18, 0x18, 0x00, 0x00, _ ' (115) . - 0x00B7 Middle Dot
	0x00, 0x40, 0x50, 0x20, 0x00, _ ' (116) - 0x00B8 Cedilla
	0x00, 0x0A, 0x0D, 0x0A, 0x00, _ ' (117) - 0x00BA Masculine Ordinal Indicator
	0x22, 0x14, 0x2A, 0x14, 0x08, _ ' (118) > > - 0x00BB Right - Pobyteing Double Angle Quotation Mark
	0x17, 0x08, 0x34, 0x2A, 0x7D, _ ' (119) /4 - 0x00BC Vulgar Fraction One Quarter
	0x17, 0x08, 0x04, 0x6A, 0x59, _ ' (120) /2 - 0x00BD Vulgar Fraction One Half
	0x30, 0x48, 0x45, 0x40, 0x20, _ ' (121) ? - 0x00BF Inverted Question Mark
	0x70, 0x29, 0x26, 0x28, 0x70, _ ' (122) `A - 0x00C0 Latin Capital Letter A with Grave
	0x70, 0x28, 0x26, 0x29, 0x70, _ ' (123) 'A - 0x00C1 Latin Capital Letter A with Acute
	0x70, 0x2A, 0x25, 0x2A, 0x70, _ ' (124) ^A - 0x00C2 Latin Capital Letter A with Circumflex
	0x72, 0x29, 0x26, 0x29, 0x70, _ ' (125) ~A - 0x00C3 Latin Capital Letter A with Tilde
	0x70, 0x29, 0x24, 0x29, 0x70, _ ' (126) "A - 0x00C4 Latin Capital Letter A with Diaeresis
	0x70, 0x2A, 0x2D, 0x2A, 0x70, _ ' (127) A - 0x00C5 Latin Capital Letter A with Ring Above
	0x7E, 0x11, 0x7F, 0x49, 0x49, _ ' (128) AE - 0x00C6 Latin Capital Letter Ae
	0x0E, 0x51, 0x51, 0x71, 0x11, _ ' (129) C - 0x00C7 Latin Capital Letter C with Cedilla
	0x7C, 0x55, 0x56, 0x54, 0x44, _ ' (130) `E - 0x00C8 Latin Capital Letter E with Grave
	0x7C, 0x55, 0x56, 0x54, 0x44, _ ' (131) 'E - 0x00C9 Latin Capital Letter E with Acute
	0x7C, 0x56, 0x55, 0x56, 0x44, _ ' (132) ^E - 0x00CA Latin Capital Letter E with Circumflex
	0x7C, 0x55, 0x54, 0x55, 0x44, _ ' (133) "E - 0x00CB Latin Capital Letter E with Diaeresis
	0x00, 0x45, 0x7E, 0x44, 0x00, _ ' (134) `I - 0x00CC Latin Capital Letter I with Grave
	0x00, 0x44, 0x7E, 0x45, 0x00, _ ' (135) 'I - 0x00CD Latin Capital Letter I with Acute
	0x00, 0x46, 0x7D, 0x46, 0x00, _ ' (136) ^I - 0x00CE Latin Capital Letter I with Circumflex
	0x00, 0x45, 0x7C, 0x45, 0x00, _ ' (137) "I - 0x00CF Latin Capital Letter I with Diaeresis
	0x7F, 0x49, 0x49, 0x41, 0x3E, _ ' (138) D - 0x00D0 Latin Capital Letter Eth
	0x7C, 0x0A, 0x11, 0x22, 0x7D, _ ' (139) ~N - 0x00D1 Latin Capital Letter N with Tilde
	0x38, 0x45, 0x46, 0x44, 0x38, _ ' (140) `O - 0x00D2 Latin Capital Letter O with Grave
	0x38, 0x44, 0x46, 0x45, 0x38, _ ' (141) 'O - 0x00D3 Latin Capital Letter O with Acute
	0x38, 0x46, 0x45, 0x46, 0x38, _ ' (142) ^O - 0x00D4 Latin Capital Letter O with Circumflex
	0x38, 0x46, 0x45, 0x46, 0x39, _ ' (143) ~O - 0x00D5 Latin Capital Letter O with Tilde
	0x38, 0x45, 0x44, 0x45, 0x38, _ ' (144) "O - 0x00D6 Latin Capital Letter O with Diaeresis
	0x22, 0x14, 0x08, 0x14, 0x22, _ ' (145) x - 0x00D7 Multiplcation Sign
	0x2E, 0x51, 0x49, 0x45, 0x3A, _ ' (146) O - 0x00D8 Latin Capital Letter O with Stroke
	0x3C, 0x41, 0x42, 0x40, 0x3C, _ ' (147) `U - 0x00D9 Latin Capital Letter U with Grave
	0x3C, 0x40, 0x42, 0x41, 0x3C, _ ' (148) 'U - 0x00DA Latin Capital Letter U with Acute
	0x3C, 0x42, 0x41, 0x42, 0x3C, _ ' (149) ^U - 0x00DB Latin Capital Letter U with Circumflex
	0x3C, 0x41, 0x40, 0x41, 0x3C, _ ' (150) "U - 0x00DC Latin Capital Letter U with Diaeresis
	0x0C, 0x10, 0x62, 0x11, 0x0C, _ ' (151) `Y - 0x00DD Latin Capital Letter Y with Acute
	0x7F, 0x12, 0x12, 0x12, 0x0C, _ ' (152) P - 0x00DE Latin Capital Letter Thom
	0x40, 0x3E, 0x01, 0x49, 0x36, _ ' (153) B - 0x00DF Latin Capital Letter Sharp S
	0x20, 0x55, 0x56, 0x54, 0x78, _ ' (154) `a - 0x00E0 Latin Small Letter A with Grave
	0x20, 0x54, 0x56, 0x55, 0x78, _ ' (155) 'a - 0x00E1 Latin Small Letter A with Acute
	0x20, 0x56, 0x55, 0x56, 0x78, _ ' (156) ^a - 0x00E2 Latin Small Letter A with Circumflex
	0x20, 0x55, 0x56, 0x55, 0x78, _ ' (157) ~a - 0x00E3 Latin Small Letter A with Tilde
	0x20, 0x55, 0x54, 0x55, 0x78, _ ' (158) "a - 0x00E4 Latin Small Letter A with Diaeresis
	0x20, 0x56, 0x57, 0x56, 0x78, _ ' (159) a - 0x00E5 Latin Small Letter A with Ring Above
	0x24, 0x54, 0x78, 0x54, 0x58, _ ' (160) ae - 0x00E6 Latin Small Letter Ae
	0x0C, 0x52, 0x52, 0x72, 0x13, _ ' (161) c - 0x00E7 Latin Small Letter c with Cedilla
	0x38, 0x55, 0x56, 0x54, 0x18, _ ' (162) `e - 0x00E8 Latin Small Letter E with Grave
	0x38, 0x54, 0x56, 0x55, 0x18, _ ' (163) 'e - 0x00E9 Latin Small Letter E with Acute
	0x38, 0x56, 0x55, 0x56, 0x18, _ ' (164) ^e - 0x00EA Latin Small Letter E with Circumflex
	0x38, 0x55, 0x54, 0x55, 0x18, _ ' (165) "e - 0x00EB Latin Small Letter E with Diaeresis
	0x00, 0x49, 0x7A, 0x40, 0x00, _ ' (166) `i - 0x00EC Latin Small Letter I with Grave
	0x00, 0x48, 0x7A, 0x41, 0x00, _ ' (167) 'i - 0x00ED Latin Small Letter I with Acute
	0x00, 0x4A, 0x79, 0x42, 0x00, _ ' (168) ^i - 0x00EE Latin Small Letter I with Circumflex
	0x00, 0x4A, 0x78, 0x42, 0x00, _ ' (169) "i - 0x00EF Latin Small Letter I with Diaeresis
	0x31, 0x4A, 0x4E, 0x4A, 0x30, _ ' (170) - 0x00F0 Latin Small Letter Eth
	0x7A, 0x11, 0x0A, 0x09, 0x70, _ ' (171) ~n - 0x00F1 Latin Small Letter N with Tilde
	0x30, 0x49, 0x4A, 0x48, 0x30, _ ' (172) `o - 0x00F2 Latin Small Letter O with Grave
	0x30, 0x48, 0x4A, 0x49, 0x30, _ ' (173) 'o - 0x00F3 Latin Small Letter O with Acute
	0x30, 0x4A, 0x49, 0x4A, 0x30, _ ' (174) ^o - 0x00F4 Latin Small Letter O with Circumflex
	0x30, 0x4A, 0x49, 0x4A, 0x31, _ ' (175) ~o - 0x00F5 Latin Small Letter O with Tilde
	0x30, 0x4A, 0x48, 0x4A, 0x30, _ ' (176) "o - 0x00F6 Latin Small Letter O with Diaeresis
	0x08, 0x08, 0x2A, 0x08, 0x08, _ ' (177) + - 0x00F7 Division Sign
	0x38, 0x64, 0x54, 0x4C, 0x38, _ ' (178) o - 0x00F8 Latin Small Letter O with Stroke
	0x38, 0x41, 0x42, 0x20, 0x78, _ ' (179) `u - 0x00F9 Latin Small Letter U with Grave
	0x38, 0x40, 0x42, 0x21, 0x78, _ ' (180) 'u - 0x00FA Latin Small Letter U with Acute
	0x38, 0x42, 0x41, 0x22, 0x78, _ ' (181) ^u - 0x00FB Latin Small Letter U with Circumflex
	0x38, 0x42, 0x40, 0x22, 0x78, _ ' (182) "u - 0x00FC Latin Small Letter U with Diaeresis
	0x0C, 0x50, 0x52, 0x51, 0x3C, _ ' (183) 'y - 0x00FD Latin Small Letter Y with Acute
	0x7E, 0x14, 0x14, 0x14, 0x08, _ ' (184) p - 0x00FE Latin Small Letter Thom
	0x0C, 0x51, 0x50, 0x51, 0x3C, _ ' (185) "y - 0x00FF Latin Small Letter Y with Diaeresis
	0x1E, 0x09, 0x09, 0x29, 0x5E, _ ' (186) A - 0x0104 Latin Capital Letter A with Ogonek
	0x08, 0x15, 0x15, 0x35, 0x4E, _ ' (187) a - 0x0105 Latin Small Letter A with Ogonek
	0x38, 0x44, 0x46, 0x45, 0x20, _ ' (188) 'C - 0x0106 Latin Capital Letter C with Acute
	0x30, 0x48, 0x4A, 0x49, 0x20, _ ' (189) 'c - 0x0107 Latin Small Letter C with Acute
	0x38, 0x45, 0x46, 0x45, 0x20, _ ' (190) C - 0x010C Latin Capital Letter C with Caron
	0x30, 0x49, 0x4A, 0x49, 0x20, _ ' (191) c - 0x010D Latin Small Letter C with Caron
	0x7C, 0x45, 0x46, 0x45, 0x38, _ ' (192) D - 0x010E Latin Capital Letter D with Caron
	0x20, 0x50, 0x50, 0x7C, 0x03, _ ' (193) d' - 0x010F Latin Small Letter D with Caron
	0x1F, 0x15, 0x15, 0x35, 0x51, _ ' (194) E - 0x0118 Latin Capital Letter E with Ogonek
	0x0E, 0x15, 0x15, 0x35, 0x46, _ ' (195) e - 0x0119 Latin Small Letter E with Ogonek
	0x7C, 0x55, 0x56, 0x55, 0x44, _ ' (196) E - 0x011A Latin Capital Letter E with Caron
	0x38, 0x55, 0x56, 0x55, 0x18, _ ' (197) e - 0x011B Latin Small Letter E with Caron
	0x00, 0x44, 0x7C, 0x40, 0x00, _ ' (198) i - 0x0131 Latin Small Letter Dotless I
	0x7F, 0x48, 0x44, 0x40, 0x40, _ ' (199) L - 0x0141 Latin Capital Letter L with Stroke
	0x00, 0x49, 0x7F, 0x44, 0x00, _ ' (200) l - 0x0142 Latin Small Letter L with Stroke
	0x7C, 0x08, 0x12, 0x21, 0x7C, _ ' (201) 'N - 0x0143 Latin Capital Letter N with Acute
	0x78, 0x10, 0x0A, 0x09, 0x70, _ ' (202) 'n - 0x0144 Latin Small Letter N with Acute
	0x7C, 0x09, 0x12, 0x21, 0x7C, _ ' (203) N - 0x0147 Latin Capital Letter N with Caron
	0x78, 0x11, 0x0A, 0x09, 0x70, _ ' (204) n - 0x0148 Latin Small Letter N with Caron
	0x38, 0x47, 0x44, 0x47, 0x38, _ ' (205) "O - 0x0150 Latin Capital Letter O with Double Acute
	0x30, 0x4B, 0x48, 0x4B, 0x30, _ ' (206) "o - 0x0151 Latin Small Letter O with Double Acute
	0x3E, 0x41, 0x7F, 0x49, 0x49, _ ' (207) OE - 0x0152 Latin Capital Ligature Oe
	0x38, 0x44, 0x38, 0x54, 0x58, _ ' (208) oe - 0x0153 Latin Small Ligature Oe
	0x7C, 0x15, 0x16, 0x35, 0x48, _ ' (209) R - 0x0158 Latin Capital Letter R with Caron
	0x78, 0x11, 0x0A, 0x09, 0x10, _ ' (210) r - 0x0159 Latin Small Letter R with Caron
	0x48, 0x54, 0x56, 0x55, 0x20, _ ' (211) 'S - 0x015A Latin Capital Letter S with Acute
	0x20, 0x48, 0x56, 0x55, 0x20, _ ' (212) 's - 0x015B Latin Small Letter S with Acute
	0x48, 0x55, 0x56, 0x55, 0x20, _ ' (213) S - 0x0160 Latin Capital Letter S with Caron
	0x20, 0x49, 0x56, 0x55, 0x20, _ ' (214) s - 0x0161 Latin Small Letter S with Caron
	0x04, 0x05, 0x7E, 0x05, 0x04, _ ' (215) T - 0x0164 Latin Capital Letter T with Caron
	0x08, 0x3C, 0x48, 0x22, 0x01, _ ' (216) t' - 0x0165 Latin Small Letter T with Caron
	0x3C, 0x42, 0x45, 0x42, 0x3C, _ ' (217) U - 0x016E Latin Capital Letter U with Ring Above
	0x38, 0x42, 0x45, 0x22, 0x78, _ ' (218) u - 0x016F Latin Small Letter U with Ring Above
	0x3C, 0x43, 0x40, 0x43, 0x3C, _ ' (219) "U - 0x0170 Latin Capital Letter U with Double Acute
	0x38, 0x43, 0x40, 0x23, 0x78, _ ' (220) "u - 0x0171 Latin Small Letter U with Double Acute
	0x0C, 0x11, 0x60, 0x11, 0x0C, _ ' (221) "Y - 0x0178 Latin Capital Letter Y with Diaeresis
	0x44, 0x66, 0x55, 0x4C, 0x44, _ ' (222) 'Z - 0x0179 Latin Capital Letter Z with Acute
	0x48, 0x6A, 0x59, 0x48, 0x00, _ ' (223) 'z - 0x017A Latin Small Letter Z with Acute
	0x44, 0x64, 0x55, 0x4C, 0x44, _ ' (224) Z - 0x017B Latin Capital Letter Z with Dot Above
	0x48, 0x68, 0x5A, 0x48, 0x00, _ ' (225) z - 0x017C Latin Small Letter Z with Dot Above
	0x44, 0x65, 0x56, 0x4D, 0x44, _ ' (226) Z - 0x017D Latin Capital Letter Z with Caron
	0x48, 0x69, 0x5A, 0x49, 0x00, _ ' (227) z - 0x017E Latin Small Letter Z with Caron
	0x00, 0x02, 0x01, 0x02, 0x00, _ ' (228) ^ - 0x02C6 Modifier Letter Circumflex Accent
	0x00, 0x01, 0x02, 0x01, 0x00, _ ' (229) - 0x02C7 Caron
	0x00, 0x01, 0x01, 0x01, 0x00, _ ' (230) - 0x02C9 Modifier Letter Macron
	0x01, 0x02, 0x02, 0x01, 0x00, _ ' (231) - 0x02D8 Breve
	0x00, 0x00, 0x01, 0x00, 0x00, _ ' (232) - 0x02D9 Dot Above
	0x00, 0x02, 0x05, 0x02, 0x00, _ ' (233) - 0x02DA Ring Above
	0x02, 0x01, 0x02, 0x01, 0x00, _ ' (234) ~ - 0x02DC Small Tilde
	0x7F, 0x05, 0x15, 0x3A, 0x50, _ ' (235) Pt - 0x20A7 Peseta Sign
	0x3E, 0x55, 0x55, 0x41, 0x22, _ ' (236) C - 0x20AC Euro Sign
	0x18, 0x14, 0x08, 0x14, 0x0C, _ ' (237) - 0x221E Infinity
	0x44, 0x4A, 0x4A, 0x51, 0x51, _ ' (238) < - 0x2264 Less - Than or Equal to
	0x51, 0x51, 0x4A, 0x4A, 0x44, _ ' (239) > - 0x2265 Greater - Than or Equal to }
	0x74, 0x42, 0x41, 0x42, 0x74) ' (240) - 0x2302 House 
	Dim BIGNumber() As Int
	BIGNumber = Array As Int ( _ ' Public domain font
	0x00, 0x00, 0x00, 0xC0, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x07, 0x0F, 0x0F, 0x0F, _
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x03, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0xF0, _
	0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, _
	0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x07, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xC1, 0xC0, 0xC0, 0xC0, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, _
	0x03, 0x03, 0x83, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0F, 0x0F, 0x0F, 0x0F, _
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xC1, 0xC0, 0xC0, 0xC0, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE1, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x81, 0x83, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x87, _
	0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0F, 0x0F, 0x0F, 0x0F, _
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x01, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x07, _
	0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE1, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC1, 0x81, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x81, 0x83, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x87, _
	0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0F, 0x0F, 0x0F, 0x0F, _
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE1, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC1, 0x81, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x87, _
	0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0F, 0x0F, 0x0F, 0x0F, _
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x01, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xE1, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE1, 0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xFE, 0xFF, 0xFF, 0xFF, 0x87, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x87, _
	0xFF, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x0F, 0x0F, 0x0F, 0x0F, _
	0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0xE0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, _
	0xF0, 0xF0, 0xF0, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xE1, _
	0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x01, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x07, _
	0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x0F, 0x0F, 0x0F, 0x07, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x3C, 0x7E, 0x7E, 0x7E, 0x7E, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xF8, 0xF8, 0xF8, 0xF8, 0xF0, 0x00, _
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, _
	0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00)
 
End Sub
 
Sub data(pData As Byte)
 
	i2c.Write2(device, Array As Byte (0x40, pData), 0, 2)
 
End Sub
 
Sub command(pData As Byte)
 
	i2c.Write2(device, Array As Byte (0x80, pData), 0, 2)
 
End Sub
 
Sub Init(i2cbus As Byte, LCD_I2c_device As Byte) 
 
	bus = i2c.GetBus(i2cbus)
	device = i2c.GetDevice(bus, LCD_I2c_device)
	' Setup Display
	command(0xae) 
	command(0xd5) 
	command(0x80)
	' Multiplex Ratio
	command(0xa8) 
	command(0x3f) 
	' Display OFFSET
	command(0xd3) 
	command(0x00) 
	' Display Start Line
	command(0x40) 
	' Set Charge Pump
	command(0x8d)
	command(0x14) 
	' Re-map
	command(0xa1) 
	' COM Output Scan Direction
	command(0xc8) 
	' COM Pins Hardware Configuration
	command(0xda) 
	command(0x12) 
	' Contrast Control Register
	command(0x81) 
	command(0xcf) ' 0x9f - External, 0xCF - Internal 
	' Set Pre Charge Period
	command(0xd9)
	command(0xF1) ' 0x22 - External, 0xF1 - Internal
	' Set VCOMH Deselect level
	command(0xdb)
	command(0x40)
	' Display OFF
	command(0xa4) 
	'Normal Or INVERSE Display
	command(0xa6) ' Normal display
	' Display ON
	command(0xaf)
 
End Sub
 
Sub Delay (DurationMs As Int)
 
	Dim target As Long = DateTime.Now + DurationMs
	Do While DateTime.Now < target
	Loop
 
End Sub
 
Sub Set_Inverse_Display(d As Byte)
 
	command(Bit.Or(0xA6 , d)) ' Set INVERSE Display On/Off
	'Default => 0xA6
	'0xA6 (0x00) => Normal Display
	'0xA7 (0x01) => INVERSE Display On
 
End Sub
 
Sub Set_Scroll(d As Byte)
 
	command(Bit.Or(0x2E , d)) ' Deactivate Scrolling
	'default => 0x2E
	'0x2E ((0x00) => no scroll
	'0x2F (0x01) => scroll		
 
End Sub
 
Sub Activate_Scroll()
 
	command(0x2F) ' Activate Scrolling
 
End Sub
 
Sub Horizontal_Scroll(Dir As Byte, StartPage As Byte, EndPage As Byte, Interval As Byte)
 
	command(Bit.Or(0x26, Dir)) ' Horizontal Scroll Setup
	command(0x00) ' = > (Dummy Write For First Parameter)
	command(StartPage)
	command(Interval)
	command(EndPage)
	command(0x00)
	command(0xFF)
	command(0x2F) ' Activate Scrolling
 
End Sub
 
Sub Continuous_Scroll(Dir As Byte, StartRow As Byte, EndPage As Byte, FixArea As Byte, VertArea As Byte, ScrollStep As Byte, Interval As Byte)
 
	command(0xA3) ' Set Vertical Scroll Area
	command(FixArea) ' Default = > 0x00 (Top Fixed Area)
	command(VertArea) ' Default = > 0x40 (Vertical Scroll Area)
	command(0x29 + Dir) ' Continuous Vertical & Horizontal Scroll Setup
	command(0x00) ' = > (Dummy Write For First Parameter)
	command(StartRow)
	command(Interval)
	command(EndPage)
	command(ScrollStep)
	command(0x2F) ' Activate Scrolling
 
End Sub
 
Sub Set_Contrast(d As Byte)
 
	command(0x81) ' Set Contrast Control
	command(d) ' Default = > 0x7F
 
End Sub
 
Sub cls()
 
	Dim x, y As Int
	For y = 0xb0 To 0xb7
		command(y)
		command(0x00)
		command(0x10)
		For x = 0 To 127
			data(0)
		Next
 
	Next 
 
End Sub
 
Sub oledWriteBIGNumber(letter As Char, page As Byte, column As Byte, invert As Boolean)
 
	Dim i, TABLEPTR , y , x , startpage As Int 
	Dim b As Byte
	x = 1
	y = Asc(letter)
	If y > 48 Or y < 58 Then
		TABLEPTR = (y - 48) * 96
	End If
 
	startpage = page + 0xB0
	command(startpage)
	command(0x00 + (Bit.And(column , 0x0F)))
	command(0x10 + (Bit.And(Bit.ShiftRight(column, 4), 0x0F)))
	For i = TABLEPTR To TABLEPTR + 95
		If y < 48 Or y > 58 Then
			b = 0
		Else
			b = BIGNumber(i)
		End If
 
		If i mod 24 = 0 Then
			page = startpage + x
			command(page)
			command(0x00 + (Bit.And(column , 0x0F)))
			command(0x10 + (Bit.And(Bit.ShiftRight(column, 4), 0x0F)))
			x = x + 1
		End If
 
		data(b)
	Next
 
End Sub
 
Sub WriteChar(letter As Byte, page As Byte, column As Byte, invert As Boolean)
 
	Dim i, TABLEPTR As Int 
	Dim b As Byte
	letter = letter - 0x20
	TABLEPTR = letter * 5
	For i = TABLEPTR To TABLEPTR + 4
		b = Ascii(i)
		If invert = True Then
			b = Bit.Not(b)
		End If
 
		data(b)
	Next 
 
End Sub 
 
Sub oledString(text As String, page As Byte, column As Byte, invert As Boolean)
 
	Dim x As Byte 
	Dim m() As Byte
	If ((page >= 0) And (page < 8)) Then 
		page = page + 0xB0 'page Adresse B0 = page0 B1 = page1 
		x = 0 
		command(page)
		command(0x00 + (Bit.And(column , 0x0F)))
		command(0x10 + (Bit.And(Bit.ShiftRight(column, 4), 0x0F)))
		m = text.GetBytes("UTF8")
		For x = 0 To text.Length - 1
			WriteChar(m(x), page, column, invert)
		Next
 
	End If 
 
End Sub 
 